## awesome 3.4.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.0)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS  TRUE)

if(COMMAND cmake_policy)
    cmake_policy(VERSION 2.6)
endif()

set(SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(BUILD_DIR ${CMAKE_CURRENT_BINARY_DIR})

if(NOT EXISTS ${SOURCE_DIR}/awesomeConfig.cmake)
    message(FATAL_ERROR "Please provide awesomeConfig.cmake")
endif()

include(awesomeConfig.cmake)

include_directories(
    ${SOURCE_DIR}
    ${BUILD_DIR}
    ${AWESOME_COMMON_REQUIRED_INCLUDE_DIRS}
    ${AWESOME_REQUIRED_INCLUDE_DIRS}
    ${AWESOME_OPTIONAL_INCLUDE_DIRS})

file(GLOB_RECURSE AWE_LUA_FILES ${BUILD_DIR}/lib/*.lua ${BUILD_DIR}/luadoc/*.lua)

set(AWE_CONF_FILE_DEFAULT ${BUILD_DIR}/awesomerc.lua)
set(AWE_CONF_FILE rc.lua)

set(AWE_ICON_DIR ${SOURCE_DIR}/icons)
set(AWE_THEMES_DIR ${SOURCE_DIR}/themes)

set(AWE_DOC_FILES
    ${SOURCE_DIR}/AUTHORS
    ${SOURCE_DIR}/BUGS
    ${SOURCE_DIR}/README
    ${SOURCE_DIR}/LICENSE)

set(AWE_SRCS
    ${SOURCE_DIR}/awesome.c
    ${SOURCE_DIR}/client.c
    ${SOURCE_DIR}/strut.c
    ${SOURCE_DIR}/dbus.c
    ${SOURCE_DIR}/root.c
    ${SOURCE_DIR}/event.c
    ${SOURCE_DIR}/property.c
    ${SOURCE_DIR}/ewmh.c
    ${SOURCE_DIR}/key.c
    ${SOURCE_DIR}/keygrabber.c
    ${SOURCE_DIR}/mousegrabber.c
    ${SOURCE_DIR}/banning.c
    ${SOURCE_DIR}/luaa.c
    ${SOURCE_DIR}/spawn.c
    ${SOURCE_DIR}/hooks.c
    ${SOURCE_DIR}/mouse.c
    ${SOURCE_DIR}/button.c
    ${SOURCE_DIR}/screen.c
    ${SOURCE_DIR}/stack.c
    ${SOURCE_DIR}/selection.c
    ${SOURCE_DIR}/wibox.c
    ${SOURCE_DIR}/systray.c
    ${SOURCE_DIR}/tag.c
    ${SOURCE_DIR}/titlebar.c
    ${SOURCE_DIR}/widget.c
    ${SOURCE_DIR}/window.c
    ${SOURCE_DIR}/image.c
    ${SOURCE_DIR}/draw.c
    ${SOURCE_DIR}/font.c
    ${SOURCE_DIR}/color.c
    ${SOURCE_DIR}/timer.c
    ${SOURCE_DIR}/common/buffer.c
    ${SOURCE_DIR}/common/atoms.c
    ${SOURCE_DIR}/common/util.c
    ${SOURCE_DIR}/common/version.c
    ${SOURCE_DIR}/common/xembed.c
    ${SOURCE_DIR}/common/xutil.c
    ${SOURCE_DIR}/common/xcursor.c
    ${SOURCE_DIR}/common/backtrace.c
    ${SOURCE_DIR}/common/luaobject.c
    ${SOURCE_DIR}/common/luaclass.c
    ${SOURCE_DIR}/widgets/graph.c
    ${SOURCE_DIR}/widgets/progressbar.c
    ${SOURCE_DIR}/widgets/textbox.c
    ${SOURCE_DIR}/widgets/systray.c
    ${SOURCE_DIR}/widgets/imagebox.c)

set(AWE_MAN_SRCS
    ${SOURCE_DIR}/manpages/awesome.1.txt
    ${SOURCE_DIR}/manpages/awsetbg.1.txt
    ${SOURCE_DIR}/manpages/awesome-client.1.txt
    ${SOURCE_DIR}/manpages/awesomerc.5.txt)
set(AWE_MAN_LANGS it es fr de ru)

add_executable(${PROJECT_AWE_NAME}
    ${AWE_SRCS}
    ${BUILD_DIR}/common/tokenize.c)

set_target_properties(${PROJECT_AWE_NAME}
    PROPERTIES
    LINK_FLAGS -export-dynamic)

target_link_libraries(${PROJECT_AWE_NAME}
    ${AWESOME_COMMON_REQUIRED_LDFLAGS}
    ${AWESOME_REQUIRED_LDFLAGS}
    ${AWESOME_OPTIONAL_LDFLAGS})

# atoms
file(MAKE_DIRECTORY ${BUILD_DIR}/common)
add_custom_command(
    COMMAND ${SOURCE_DIR}/build-utils/atoms-ext.sh ${SOURCE_DIR}/common/atoms.list
    ARGS    > ${BUILD_DIR}/common/atoms-extern.h
    OUTPUT  ${BUILD_DIR}/common/atoms-extern.h
    WORKING_DIRECTORY ${SOURCE_DIR}
    DEPENDS ${SOURCE_DIR}/common/atoms.list
    COMMENT "Generating atoms-extern.h"
    VERBATIM)

add_custom_command(
    COMMAND ${SOURCE_DIR}/build-utils/atoms-int.sh ${SOURCE_DIR}/common/atoms.list
    ARGS    > ${BUILD_DIR}/common/atoms-intern.h
    OUTPUT  ${BUILD_DIR}/common/atoms-intern.h
    WORKING_DIRECTORY ${SOURCE_DIR}
    DEPENDS ${SOURCE_DIR}/common/atoms.list
    COMMENT "Generating atoms-intern.h"
    VERBATIM)

# gperf
add_custom_command(
    COMMAND ${SOURCE_DIR}/build-utils/gperf.sh
    ARGS    ${SOURCE_DIR}/common/tokenize.gperf
            ${BUILD_DIR}/common/tokenize.h
    OUTPUT  ${BUILD_DIR}/common/tokenize.h
    DEPENDS ${SOURCE_DIR}/common/tokenize.gperf
            ${SOURCE_DIR}/build-utils/gperf.sh
    COMMENT "Generating common/tokenize.h")

add_custom_command(
    COMMAND ${SOURCE_DIR}/build-utils/gperf.sh
    ARGS    ${SOURCE_DIR}/common/tokenize.gperf
            ${BUILD_DIR}/common/tokenize.c
    OUTPUT  ${BUILD_DIR}/common/tokenize.c
    DEPENDS ${SOURCE_DIR}/common/tokenize.gperf
            ${SOURCE_DIR}/build-utils/gperf.sh
    COMMENT "Generating common/tokenize.c")

add_custom_target(generated_sources
    DEPENDS ${BUILD_DIR}/common/atoms-intern.h
            ${BUILD_DIR}/common/atoms-extern.h
            ${BUILD_DIR}/common/tokenize.c
            ${BUILD_DIR}/common/tokenize.h)

# Default theme directory
file(MAKE_DIRECTORY ${BUILD_DIR}/themes/default)
file(MAKE_DIRECTORY ${BUILD_DIR}/themes/sky)
file(MAKE_DIRECTORY ${BUILD_DIR}/themes/zenburn)
add_dependencies(${PROJECT_AWE_NAME} generated_sources)
# }}}

# {{{ Version stamp
if(BUILD_FROM_GIT)
    add_custom_target(version_stamp ALL
        COMMAND ${SOURCE_DIR}/build-utils/git-version-stamp.sh
                ${VERSION_STAMP_FILE}
                ${BUILD_DIR}/awesome-version-internal.h
        WORKING_DIRECTORY ${SOURCE_DIR})

    add_dependencies(${PROJECT_AWE_NAME} version_stamp)
endif()
# }}}

# {{{ Manpages
if(GENERATE_MANPAGES)
    if(NOT BUILD_DIR STREQUAL SOURCE_DIR)
        file(MAKE_DIRECTORY ${BUILD_DIR}/manpages)
    endif()

    # add the default translation to the list of languages
    set(AWE_MAN_LANGS default ${AWE_MAN_LANGS})

    foreach(lang ${AWE_MAN_LANGS})

        foreach(txtfile ${AWE_MAN_SRCS})
            # figure the base name of the file (ie "awesome.1")
            GET_FILENAME_COMPONENT(tmpname ${txtfile} NAME)
            string(REGEX REPLACE ".txt\$" "" basename ${tmpname})

            # figure the relative path of the file
            GET_FILENAME_COMPONENT(tmppath ${txtfile} PATH)
            string(REPLACE ${SOURCE_DIR}/ "" relpath ${tmppath})

            # figure the manpage section to install to from filename
            string(REGEX REPLACE "^.*\\.([0-9])$" "\\1" section ${basename})

            # construct the language specific versions of the basename and path
            if (lang STREQUAL default)
                set(basename2 ${basename})
                set(relpath2 ${relpath}/man${section})
            else()
                set(basename2 ${basename}.${lang})
                set(relpath2 ${relpath}/${lang}/man${section})
            endif()

            # create the build directory (if it does not exist)
            file(MAKE_DIRECTORY ${BUILD_DIR}/${relpath2})

            # set the final filenames
            set(txtfile ${SOURCE_DIR}/${relpath}/${basename2}.txt)
            set(xmlfile ${BUILD_DIR}/${relpath2}/${basename}.xml)
            set(gzfile  ${BUILD_DIR}/${relpath2}/${basename}.gz)
            set(manfile ${BUILD_DIR}/${relpath2}/${basename})

            add_custom_command(
                COMMAND ${ASCIIDOC_EXECUTABLE} -d manpage -b docbook -o ${xmlfile} - < ${txtfile}
                WORKING_DIRECTORY ${BUILD_DIR}/${relpath2}
                OUTPUT  ${xmlfile}
                DEPENDS ${txtfile}
                VERBATIM)
            add_custom_command(
                COMMAND ${XMLTO_EXECUTABLE} man ${xmlfile}
                OUTPUT  ${manfile}
                WORKING_DIRECTORY ${BUILD_DIR}/${relpath2}
                DEPENDS ${xmlfile})

            if(COMPRESS_MANPAGES)
                add_custom_command(
                    COMMAND ${GZIP_EXECUTABLE} < ${manfile} > ${gzfile}
                    OUTPUT  ${gzfile}
                    WORKING_DIRECTORY ${BUILD_DIR}/${relpath2}
                    DEPENDS ${manfile}
                    VERBATIM)

                set(MAN_FILES ${MAN_FILES} ${gzfile})
            else()
                set(MAN_FILES ${MAN_FILES} ${manfile})
            endif()
        endforeach()

    endforeach()

    add_custom_target(man ALL DEPENDS ${MAN_FILES})
endif()
# }}}

# {{{ Doxygen
if(DOXYGEN_EXECUTABLE)
    add_custom_target(doc
        COMMAND ${DOXYGEN_EXECUTABLE} awesome.doxygen
        WORKING_DIRECTORY ${BUILD_DIR})
endif()
# }}}

# {{{ Lua API Documentation
if(GENERATE_LUADOC)

    if(NOT BUILD_DIR STREQUAL SOURCE_DIR)
        file(MAKE_DIRECTORY ${BUILD_DIR}/lib)
    endif()

    set(luadoc_c_srcs "")

    # Generate documentation of lib//0lua
    file(GLOB_RECURSE lua_lib_files ${BUILD_DIR}/lib/*.lua
        ${SOURCE_DIR}/luadoc/*.lua)
    foreach(filename ${lua_lib_files})
        file(RELATIVE_PATH filename ${BUILD_DIR} ${filename})
        set(luadoc_srcs ${luadoc_srcs} ${filename})
    endforeach()

    add_custom_target(luadoc ALL
        COMMAND ${LUADOC_EXECUTABLE} ${luadoc_srcs} -d ${BUILD_DIR}/luadoc --nofiles
        WORKING_DIRECTORY ${BUILD_DIR}
        DEPENDS ${AWE_LUA_FILES})
endif()
# }}}

# {{{ Theme icons
file(GLOB icon_sources RELATIVE ${SOURCE_DIR} ${SOURCE_DIR}/themes/*/titlebar/*.png)

foreach(icon ${icon_sources})
    # Copy all icons to the build dir to simplify the following code.
    # Source paths are interpreted relative to ${SOURCE_DIR}, target paths
    # relative to ${BUILD_DIR}.
    get_filename_component(icon_path ${icon} PATH)
    get_filename_component(icon_name ${icon} NAME)
    file(COPY ${icon} DESTINATION ${icon_path})
    set(ALL_ICONS ${ALL_ICONS} "${icon_path}/${icon_name}")
endforeach()

macro(a_icon_convert match replacement input)
    string(REPLACE ${match} ${replacement} output ${input})

    if(NOT ${input} STREQUAL ${output})
        set(ALL_ICONS ${ALL_ICONS} ${output})

        add_custom_command(
            COMMAND ${CONVERT_EXECUTABLE} ${input} ${ARGN} ${output}
            OUTPUT  ${output}
            DEPENDS ${input}
            VERBATIM)
    endif()
endmacro()

foreach(icon ${ALL_ICONS})
    # Make unfocused icons translucent
    a_icon_convert("_focus" "_normal" ${icon}
        -gamma 0.6 -channel A -evaluate Multiply 0.4)
endforeach()

foreach(icon ${ALL_ICONS})
    # Make inactive icons grayscale
    a_icon_convert("_active" "_inactive" ${icon}
        -colorspace Gray)
endforeach()

add_custom_target(generated_icons ALL DEPENDS ${ALL_ICONS})
# }}}

# {{{ Dist tarball
if(BUILD_FROM_GIT)
    add_custom_target(dist
        COMMAND ${SOURCE_DIR}/build-utils/dist.sh ${VERSION}
        WORKING_DIRECTORY ${SOURCE_DIR})
endif()
# }}}

# {{{ Installation
install(TARGETS ${PROJECT_AWE_NAME} RUNTIME DESTINATION bin)
install(FILES "utils/awsetbg" DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(FILES "utils/awesome-client" DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(DIRECTORY ${BUILD_DIR}/lib DESTINATION ${AWESOME_DATA_PATH}
    PATTERN "*.in" EXCLUDE)
install(FILES ${AWE_CONF_FILE_DEFAULT} DESTINATION ${AWESOME_SYSCONFDIR}
        RENAME ${AWE_CONF_FILE})
if(GENERATE_MANPAGES)
    if(COMPRESS_MANPAGES)
        set(regex "\\.(xml|txt|[0-9])$")
    else()
        set(regex "\\.(xml|txt|gz)$")
    endif()
    install(DIRECTORY ${BUILD_DIR}/${relpath}/ DESTINATION ${AWESOME_MAN_PATH}
            REGEX ${regex} EXCLUDE )
endif()
install(DIRECTORY ${AWE_ICON_DIR} DESTINATION ${AWESOME_DATA_PATH})
install(DIRECTORY ${BUILD_DIR}/themes DESTINATION ${AWESOME_DATA_PATH}
    PATTERN "*.in" EXCLUDE)
install(DIRECTORY ${SOURCE_DIR}/themes DESTINATION ${AWESOME_DATA_PATH}
    PATTERN "*.in" EXCLUDE)
install(FILES ${AWE_DOC_FILES} DESTINATION ${AWESOME_DOC_PATH})
install(FILES "awesome.desktop" DESTINATION ${AWESOME_XSESSION_PATH})
if(GENERATE_LUADOC)
    install(DIRECTORY ${BUILD_DIR}/luadoc DESTINATION ${AWESOME_DOC_PATH})
endif()
# }}}

# vim: filetype=cmake:expandtab:shiftwidth=4:tabstop=8:softtabstop=4:textwidth=80

=== debian/changelog ===
awesome (3.4.13-1) unstable; urgency=low

  * Enhance description in debian/control (Closes: #680924)
    (Thanks to Justin B Rye)
  * New upstream release
    + Fix focus regression (Closes: #681364)

 -- Julien Danjou <acid@debian.org>  Sun, 15 Jul 2012 15:51:10 +0200

awesome (3.4.12-2) unstable; urgency=low

  * Don't build depends on libxcb-ewmh-dev

 -- Julien Danjou <acid@debian.org>  Wed, 13 Jun 2012 10:56:53 +0200

awesome (3.4.12-1) unstable; urgency=low

  * New upstream release.
    + Fix GLib compilation (Closes: #665508)
    + Fix prompt history order (Closes: #661669)
    + Xli is no more marked as broken (Closes: #651505)
  * Bump standard version
  * Tweak debian/rules to specify cmake build system, update to dh 9

 -- Julien Danjou <acid@debian.org>  Mon, 11 Jun 2012 15:05:38 +0200

=== debian/control ===
Source: awesome
Section: x11
Priority: optional
Maintainer: Julien Danjou <acid@debian.org>
Build-Depends: debhelper (>= 9), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm4-dev (>= 0.3.8), libxcb-randr0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.6), libxcb-shape0-dev, libxcb-util0-dev
Standards-Version: 3.9.3
Homepage: http://awesome.naquadah.org
Vcs-Git: git://git.debian.org/git/users/acid/awesome.git
Vcs-Browser: http://git.debian.org/?p=users/acid/awesome.git;a=summary

Package: awesome
Architecture: any
Recommends: x11-xserver-utils, rlwrap, feh
Depends: ${shlibs:Depends}, ${misc:Depends}, menu, dbus-x11
Provides: x-window-manager
Description: highly configurable X window manager
 awesome manages windows dynamically in floating or tiled layouts. It is
 primarily targeted at power users, developers, and all those dealing with
 everyday computing tasks and looking for fine-grained control over their
 graphical environment.
 .
 It is highly extensible and scriptable via the Lua programming language,
 providing an easy-to-use and very well documented API to configure its
 behavior.
 .
 awesome uses tags instead of workspaces, which gives better flexibility
 in displaying windows, and can be entirely keyboard-driven, not needing a
 mouse. It also supports multi-headed configurations; uses XCB instead of
 Xlib for better performance; implements many freedesktop standards; and
 can be controlled over D-Bus from awesome-client.

=== debian/watch ===
version=3
http://awesome.naquadah.org/download/ awesome-(.*)\.tar\.gz

## awesome 3.4.14

=== debian/changelog ===
awesome (3.4.14-1) unstable; urgency=low

  * New uptream release

 -- Julien Danjou <acid@debian.org>  Tue, 25 Dec 2012 18:58:38 +0100

## awesome 3.4.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -94,9 +94,12 @@
     ${AWE_SRCS}
     ${BUILD_DIR}/common/tokenize.c)
 
-set_target_properties(${PROJECT_AWE_NAME}
-    PROPERTIES
-    LINK_FLAGS -export-dynamic)
+# FreeBSD requires dynamic linking
+if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
+    set_target_properties(${PROJECT_AWE_NAME}
+        PROPERTIES
+        LINK_FLAGS -export-dynamic)
+endif()
 
 target_link_libraries(${PROJECT_AWE_NAME}
     ${AWESOME_COMMON_REQUIRED_LDFLAGS}

=== debian/changelog ===
awesome (3.4.15-1ubuntu1) trusty; urgency=low

  * debian/patches/remove-nodisplay-from-desktop-file.patch: Removes
    problematic "NoDisplay=true" from desktop file.  Cherry picked from
    upstream (LP: #1094811)

 -- Adam Gandelman <adamg@ubuntu.com>  Wed, 22 Jan 2014 00:19:01 -0800

awesome (3.4.15-1) unstable; urgency=low

  * New upstream release (Closes: #700607)

 -- Julien Danjou <acid@debian.org>  Sun, 17 Feb 2013 10:44:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: awesome
 Section: x11
 Priority: optional
-Maintainer: Julien Danjou <acid@debian.org>
-Build-Depends: debhelper (>= 9), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm4-dev (>= 0.3.8), libxcb-randr0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.6), libxcb-shape0-dev, libxcb-util0-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julien Danjou <acid@debian.org>
+Build-Depends: debhelper (>= 9), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm4-dev (>= 0.3.8), libxcb-randr0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.6), libxcb-shape0-dev, libxcb-util0-dev, libxcursor-dev, libx11-xcb-dev
 Standards-Version: 3.9.3
 Homepage: http://awesome.naquadah.org
 Vcs-Git: git://git.debian.org/git/users/acid/awesome.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=cmake -- -DSYSCONFDIR=/etc

override_dh_installwm:
	dh_installwm --priority=20 awesome

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/ \
http://awesome.naquadah.org/download/awesome-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sun, 09 Dec 2012 09:28:21 +0000

## awesome 3.5.5

=== debian/changelog ===
awesome (3.5.5-1) experimental; urgency=low

  * New upstream release. Closes: #743507.
    + debian/control: Bump lua-lgi Depends to >= 0.7.0.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 11 Jun 2014 11:14:11 +0900

awesome (3.5.2-1) experimental; urgency=low

  * New upstream release. Closes: #731097.
    + debian/control:
      - libxcb-image0-dev B-D is not needed anymore as cairo is now used
        instead, but keep it until #732711 is fixed.
      - Drop libxcursor-dev and libx11-xcb-dev B-D replaced by
        libxcb-cursor-dev >= 0.1.0-2 because of #723750.
  * debian/control:
    + Bump Standards-Version to 3.9.5. No changes needed.
    + Since 3.5, glib is used instead of libev, but libglib2.0-dev B-D was
      pulled implicitly by another B-D and now seems to be required.
    + Build-Depends on lua-ldoc as it is now available in the archive.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 20 Dec 2013 15:57:46 +0100

awesome (3.5.1-1) experimental; urgency=low

  * New upstream release. Closes: #697428.
    + debian/NEWS: Inform users that the configuration has changed.
    + debian/control:
      - Drop luadoc, libpango1.0-dev, libev-dev, libimlib2-dev, and gperf.
      - Add libgdk-pixbuf2.0-dev in Build-Depends.
      - Add lua-lgi, gir1.2-freedesktop and gir1.2-pango-1.0 to Depends.
        - Disable build time check of .typelib as it is used only at runtime.
    + debian/copyright: update.
    + debian/patches/*: refresh.
  * debian/control:
    + Bump Standards-Version to 3.9.4. No changes needed.
    + Update Vcs-Git and Vcs-Browser as it is now in collab-maint.
  * Add myself as Uploaders, acknowledged by Julien Danjou.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 04 Jun 2013 18:48:21 +0900

=== debian/control ===
Source: awesome
Section: x11
Priority: optional
Maintainer: Julien Danjou <acid@debian.org>
Uploaders: Arnaud Fontaine <arnau@debian.org>
Build-Depends: debhelper (>= 9),
  libcairo2-dev,
  xmlto,
  asciidoc,
  cmake (>= 2.6.0),
  lua5.1,
  lua-ldoc,
  libxcb-xtest0-dev,
  libxcb-icccm4-dev (>= 0.3.8),
  libxcb-randr0-dev (>= 0.3.0),
  libxcb-keysyms1-dev (>= 0.3.4),
  libxcb-xinerama0-dev,
  liblua5.1-dev,
  libdbus-1-dev,
  libxdg-basedir-dev (>= 1.0.0),
  libstartup-notification0-dev (>= 0.10),
  imagemagick,
  libxcb1-dev (>= 1.6),
  libxcb-shape0-dev,
  libxcb-util0-dev,
  libxcb-cursor-dev (>= 0.1.0-2),
  libgdk-pixbuf2.0-dev,
  libglib2.0-dev,
# See #732711
  libxcb-image0-dev
Standards-Version: 3.9.5
Homepage: http://awesome.naquadah.org
Vcs-Git: git://anonscm.debian.org/collab-maint/awesome.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/awesome.git

Package: awesome
Architecture: any
Recommends: x11-xserver-utils, rlwrap, feh
Depends: ${shlibs:Depends},
  ${misc:Depends},
  menu,
  dbus-x11,
  lua-lgi (>= 0.7.0),
  gir1.2-freedesktop,
  gir1.2-pango-1.0
Provides: x-window-manager
Description: highly configurable X window manager
 awesome manages windows dynamically in floating or tiled layouts. It is
 primarily targeted at power users, developers, and all those dealing with
 everyday computing tasks and looking for fine-grained control over their
 graphical environment.
 .
 It is highly extensible and scriptable via the Lua programming language,
 providing an easy-to-use and very well documented API to configure its
 behavior.
 .
 awesome uses tags instead of workspaces, which gives better flexibility
 in displaying windows, and can be entirely keyboard-driven, not needing a
 mouse. It also supports multi-headed configurations; uses XCB instead of
 Xlib for better performance; implements many freedesktop standards; and
 can be controlled over D-Bus from awesome-client.

## awesome 3.5.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,8 +21,6 @@
     ${AWESOME_REQUIRED_INCLUDE_DIRS}
     ${AWESOME_OPTIONAL_INCLUDE_DIRS})
 
-file(GLOB_RECURSE AWE_LUA_FILES ${BUILD_DIR}/lib/*.lua ${BUILD_DIR}/luadoc/*.lua)
-
 set(AWE_CONF_FILE_DEFAULT ${BUILD_DIR}/awesomerc.lua)
 set(AWE_CONF_FILE rc.lua)
 
@@ -37,62 +35,61 @@
 
 set(AWE_SRCS
     ${SOURCE_DIR}/awesome.c
-    ${SOURCE_DIR}/client.c
+    ${SOURCE_DIR}/banning.c
+    ${SOURCE_DIR}/color.c
+    ${SOURCE_DIR}/dbus.c
+    ${SOURCE_DIR}/draw.c
+    ${SOURCE_DIR}/event.c
+    ${SOURCE_DIR}/ewmh.c
+    ${SOURCE_DIR}/keygrabber.c
+    ${SOURCE_DIR}/keyresolv.c
+    ${SOURCE_DIR}/luaa.c
+    ${SOURCE_DIR}/mouse.c
+    ${SOURCE_DIR}/mousegrabber.c
+    ${SOURCE_DIR}/property.c
+    ${SOURCE_DIR}/root.c
+    ${SOURCE_DIR}/screen.c
+    ${SOURCE_DIR}/selection.c
+    ${SOURCE_DIR}/spawn.c
+    ${SOURCE_DIR}/stack.c
     ${SOURCE_DIR}/strut.c
-    ${SOURCE_DIR}/dbus.c
-    ${SOURCE_DIR}/root.c
-    ${SOURCE_DIR}/event.c
-    ${SOURCE_DIR}/property.c
-    ${SOURCE_DIR}/ewmh.c
-    ${SOURCE_DIR}/key.c
-    ${SOURCE_DIR}/keygrabber.c
-    ${SOURCE_DIR}/mousegrabber.c
-    ${SOURCE_DIR}/banning.c
-    ${SOURCE_DIR}/luaa.c
-    ${SOURCE_DIR}/spawn.c
-    ${SOURCE_DIR}/hooks.c
-    ${SOURCE_DIR}/mouse.c
-    ${SOURCE_DIR}/button.c
-    ${SOURCE_DIR}/screen.c
-    ${SOURCE_DIR}/stack.c
-    ${SOURCE_DIR}/selection.c
-    ${SOURCE_DIR}/wibox.c
     ${SOURCE_DIR}/systray.c
-    ${SOURCE_DIR}/tag.c
-    ${SOURCE_DIR}/titlebar.c
-    ${SOURCE_DIR}/widget.c
-    ${SOURCE_DIR}/window.c
-    ${SOURCE_DIR}/image.c
-    ${SOURCE_DIR}/draw.c
-    ${SOURCE_DIR}/font.c
-    ${SOURCE_DIR}/color.c
-    ${SOURCE_DIR}/timer.c
+    ${SOURCE_DIR}/xwindow.c
+    ${SOURCE_DIR}/common/atoms.c
+    ${SOURCE_DIR}/common/backtrace.c
     ${SOURCE_DIR}/common/buffer.c
-    ${SOURCE_DIR}/common/atoms.c
+    ${SOURCE_DIR}/common/luaclass.c
+    ${SOURCE_DIR}/common/lualib.c
+    ${SOURCE_DIR}/common/luaobject.c
     ${SOURCE_DIR}/common/util.c
     ${SOURCE_DIR}/common/version.c
+    ${SOURCE_DIR}/common/xcursor.c
     ${SOURCE_DIR}/common/xembed.c
     ${SOURCE_DIR}/common/xutil.c
-    ${SOURCE_DIR}/common/xcursor.c
-    ${SOURCE_DIR}/common/backtrace.c
-    ${SOURCE_DIR}/common/luaobject.c
-    ${SOURCE_DIR}/common/luaclass.c
-    ${SOURCE_DIR}/widgets/graph.c
-    ${SOURCE_DIR}/widgets/progressbar.c
-    ${SOURCE_DIR}/widgets/textbox.c
-    ${SOURCE_DIR}/widgets/systray.c
-    ${SOURCE_DIR}/widgets/imagebox.c)
+    ${SOURCE_DIR}/objects/button.c
+    ${SOURCE_DIR}/objects/client.c
+    ${SOURCE_DIR}/objects/drawable.c
+    ${SOURCE_DIR}/objects/drawin.c
+    ${SOURCE_DIR}/objects/key.c
+    ${SOURCE_DIR}/objects/tag.c
+    ${SOURCE_DIR}/objects/timer.c
+    ${SOURCE_DIR}/objects/window.c)
 
 set(AWE_MAN_SRCS
     ${SOURCE_DIR}/manpages/awesome.1.txt
-    ${SOURCE_DIR}/manpages/awsetbg.1.txt
     ${SOURCE_DIR}/manpages/awesome-client.1.txt
     ${SOURCE_DIR}/manpages/awesomerc.5.txt)
 set(AWE_MAN_LANGS it es fr de ru)
 
+# Don't strip RPATH if compiling on Solaris
+if (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
+    set(CMAKE_SKIP_BUILD_RPATH FALSE)
+    set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
+    set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+endif()
+
 add_executable(${PROJECT_AWE_NAME}
-    ${AWE_SRCS}
-    ${BUILD_DIR}/common/tokenize.c)
+    ${AWE_SRCS})
 
 # FreeBSD requires dynamic linking
 if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
@@ -105,6 +102,10 @@
     ${AWESOME_COMMON_REQUIRED_LDFLAGS}
     ${AWESOME_REQUIRED_LDFLAGS}
     ${AWESOME_OPTIONAL_LDFLAGS})
+
+# check for lgi and the needed gobject introspection files
+add_custom_target(lgi-check ALL
+    COMMAND ${SOURCE_DIR}/build-utils/lgi-check.sh)
 
 # atoms
 file(MAKE_DIRECTORY ${BUILD_DIR}/common)
@@ -126,30 +127,9 @@
     COMMENT "Generating atoms-intern.h"
     VERBATIM)
 
-# gperf
-add_custom_command(
-    COMMAND ${SOURCE_DIR}/build-utils/gperf.sh
-    ARGS    ${SOURCE_DIR}/common/tokenize.gperf
-            ${BUILD_DIR}/common/tokenize.h
-    OUTPUT  ${BUILD_DIR}/common/tokenize.h
-    DEPENDS ${SOURCE_DIR}/common/tokenize.gperf
-            ${SOURCE_DIR}/build-utils/gperf.sh
-    COMMENT "Generating common/tokenize.h")
-
-add_custom_command(
-    COMMAND ${SOURCE_DIR}/build-utils/gperf.sh
-    ARGS    ${SOURCE_DIR}/common/tokenize.gperf
-            ${BUILD_DIR}/common/tokenize.c
-    OUTPUT  ${BUILD_DIR}/common/tokenize.c
-    DEPENDS ${SOURCE_DIR}/common/tokenize.gperf
-            ${SOURCE_DIR}/build-utils/gperf.sh
-    COMMENT "Generating common/tokenize.c")
-
 add_custom_target(generated_sources
     DEPENDS ${BUILD_DIR}/common/atoms-intern.h
-            ${BUILD_DIR}/common/atoms-extern.h
-            ${BUILD_DIR}/common/tokenize.c
-            ${BUILD_DIR}/common/tokenize.h)
+            ${BUILD_DIR}/common/atoms-extern.h)
 
 # Default theme directory
 file(MAKE_DIRECTORY ${BUILD_DIR}/themes/default)
@@ -252,24 +232,15 @@
 # }}}
 
 # {{{ Lua API Documentation
-if(GENERATE_LUADOC)
-
+if(GENERATE_DOC)
     if(NOT BUILD_DIR STREQUAL SOURCE_DIR)
         file(MAKE_DIRECTORY ${BUILD_DIR}/lib)
     endif()
 
-    set(luadoc_c_srcs "")
-
-    # Generate documentation of lib//0lua
-    file(GLOB_RECURSE lua_lib_files ${BUILD_DIR}/lib/*.lua
-        ${SOURCE_DIR}/luadoc/*.lua)
-    foreach(filename ${lua_lib_files})
-        file(RELATIVE_PATH filename ${BUILD_DIR} ${filename})
-        set(luadoc_srcs ${luadoc_srcs} ${filename})
-    endforeach()
-
-    add_custom_target(luadoc ALL
-        COMMAND ${LUADOC_EXECUTABLE} ${luadoc_srcs} -d ${BUILD_DIR}/luadoc --nofiles
+    file(GLOB_RECURSE AWE_LUA_FILES ${BUILD_DIR}/lib/*.lua ${BUILD_DIR}/luadoc/*.lua)
+
+    add_custom_target(ldoc ALL
+        COMMAND ${LDOC_EXECUTABLE} .
         WORKING_DIRECTORY ${BUILD_DIR}
         DEPENDS ${AWE_LUA_FILES})
 endif()
@@ -305,7 +276,7 @@
 foreach(icon ${ALL_ICONS})
     # Make unfocused icons translucent
     a_icon_convert("_focus" "_normal" ${icon}
-        -gamma 0.6 -channel A -evaluate Multiply 0.4)
+        -colorspace rgb -gamma 0.6 -channel A -evaluate Multiply 0.4)
 endforeach()
 
 foreach(icon ${ALL_ICONS})
@@ -327,7 +298,6 @@
 
 # {{{ Installation
 install(TARGETS ${PROJECT_AWE_NAME} RUNTIME DESTINATION bin)
-install(FILES "utils/awsetbg" DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 install(FILES "utils/awesome-client" DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 install(DIRECTORY ${BUILD_DIR}/lib DESTINATION ${AWESOME_DATA_PATH}
     PATTERN "*.in" EXCLUDE)
@@ -349,8 +319,8 @@
     PATTERN "*.in" EXCLUDE)
 install(FILES ${AWE_DOC_FILES} DESTINATION ${AWESOME_DOC_PATH})
 install(FILES "awesome.desktop" DESTINATION ${AWESOME_XSESSION_PATH})
-if(GENERATE_LUADOC)
-    install(DIRECTORY ${BUILD_DIR}/luadoc DESTINATION ${AWESOME_DOC_PATH})
+if(GENERATE_DOC)
+    install(DIRECTORY ${BUILD_DIR}/doc DESTINATION ${AWESOME_DOC_PATH})
 endif()
 # }}}

=== Makefile ===
builddir=.build-$(shell hostname)-$(shell gcc -dumpmachine)-$(shell gcc -dumpversion)

ifeq (,$(VERBOSE))
    MAKEFLAGS:=$(MAKEFLAGS)s
    ECHO=echo
else
    ECHO=@:
endif

TARGETS=awesome
BUILDLN=build

all: $(TARGETS) $(BUILDLN) ;

$(TARGETS): cmake-build
	ln -s -f ${builddir}/$@ $@

$(BUILDLN):
	test -e $(BUILDLN) || ln -s -f ${builddir} $(BUILDLN)

cmake ${builddir}/CMakeCache.txt:
	mkdir -p ${builddir}
	$(ECHO) "Running cmake…"
	cd ${builddir} && cmake $(CMAKE_ARGS) "$(@D)" ..

cmake-build: ${builddir}/CMakeCache.txt
	$(ECHO) "Building…"
	$(MAKE) -C ${builddir}

tags:
	git ls-files | xargs ctags

install:
	$(ECHO) "Installing…"
	$(MAKE) -C ${builddir} install

distclean:
	$(ECHO) -n "Cleaning up build directory…"
	$(RM) -r ${builddir} $(BUILDLN) $(TARGETS)
	$(ECHO) " done"

%: cmake
	$(ECHO) "Running make $@…"
	$(MAKE) -C ${builddir} $@
	$(and $(filter clean,$@),$(RM) $(BUILDLN) $(TARGETS))

.PHONY: cmake-build cmake install $(BUILDLN)

=== debian/changelog ===
awesome (3.5.6-1build1) wily; urgency=medium

  * No-change rebuild for libxcb-util.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Sep 2015 11:09:33 +0000

awesome (3.5.6-1) unstable; urgency=medium

  * New upstream release and upload to unstable.
    Closes: #781736, #680390, #701514, #589226.
  * Add debian/patches/Prevent_clients_from_being_lost_on_RANRD_changes.patch.
    Closes: #736314.
  * debian/55awesome-javaworkaround: Fix typo (x-session-manager ->
    x-window-manager). Thanks to Igor Bensemann and Julian Wollrath.
    Closes: #600995.
  * d/control:
    + Bump Standards-Version to 3.9.6. No change needed.
    + Drop Build-Depends on libxcb-image0-dev since #732711 has been fixed.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 05 Jun 2015 13:44:11 +0900

=== debian/control ===
--- 
+++ 
@@ -26,9 +26,7 @@
   libxcb-cursor-dev (>= 0.1.0-2),
   libgdk-pixbuf2.0-dev,
   libglib2.0-dev,
-# See #732711
-  libxcb-image0-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://awesome.naquadah.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/awesome.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/awesome.git

## awesome 3.5.9

=== debian/changelog ===
awesome (3.5.9-1) unstable; urgency=medium

  * New upstream release. Closes: #817122.
  * d/control: Bump Standards-Versions to 3.9.7. No change needed.
  * dbgsym are now built automatically (debhelper > 9.20151219).
    Closes: #532383.

 -- Arnaud Fontaine <arnau@debian.org>  Sun, 27 Mar 2016 11:20:44 +0900

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
   libxcb-cursor-dev (>= 0.1.0-2),
   libgdk-pixbuf2.0-dev,
   libglib2.0-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://awesome.naquadah.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/awesome.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/awesome.git
